package com.baicizhan.client.business.view

import android.os.SystemClock
import android.util.Log
import android.view.View
import com.baicizhan.client.business.BuildConfig
import com.baicizhan.client.business.view.OnProtectedClickListener.PROTECTED_DELAY

/**
 * Created by Jacee.
 * Date: 2020.04.07
 */

private const val TAG = "view_ext"

fun View.setOnProtectedClickListener(l: (View) -> Unit) {
    var time: Long = 0
    setOnClickListener {
        val cur = SystemClock.elapsedRealtime()
        if (BuildConfig.DEBUG) Log.d(TAG, "time = $time, cur = $cur, ${time + PROTECTED_DELAY < cur}")
        if (time == 0L || time + PROTECTED_DELAY < cur) {
            l(it)
            time = cur
        }
    }
}